Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86148 - Keyboard auto repeat occasionally turns off
Summary: Keyboard auto repeat occasionally turns off
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-center
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-14 21:23 UTC by Tom Cross
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 17:11:25 UTC


Attachments (Terms of Use)

Description Tom Cross 2003-03-14 21:23:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-10 i686)

Description of problem:
Occasionally, keyboard auto repeat will turn off completely.

Checking (RedHat)->Preferences->Keyboard the option for "Keyboard repeats when
key is held down" is CHECKED.  However running the "xset -q" command shows:

Keyboard Control:
  auto repeat:  off

If the user unchecks the "Keyboard repeats when key is held down" and checks it
again, most of the time keyboard repeat will be restored for a couple of hours.

They do not have to logout to make this happen.  It happens to several people
several times a day.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Turn on keyboard auto repeat
2.Do some data entry
3.notice keyboard auto repeat has myseriously turned off by itself
    

Actual Results:  
Once keyboard repeat is set, it should stay set.

Additional info:


All system are RedHat 8.0 systems on Dell Dimmension desktop computers.  All
systems are recently updated with all applicable erratta packages.  All systems
were installed using a fresh RedHat 8.0 "Desktop" install, not upgrades.

The systems are all different ages and so have different motherboards/video
cards/etc so it doesn't appear to be limited to only one setup.

I'm not sure if this is a GNOME configuration problem or a XFree86 problem.

Comment 1 Ray Strode [halfline] 2005-05-12 15:54:15 UTC
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)

Comment 2 Tanya Chang 2005-05-27 18:50:38 UTC
I am seeing this right now on a Dell GX260 running RH7.3.  We have had other
reports (just a few) earlier this year as well which would have been on Dell
workstations, but I can't be sure of the O/S level.

Comment 3 Ray Strode [halfline] 2005-05-30 20:39:43 UTC
Tanya,

We no longer support Red Hat 7.3 (or 8.0).  If you upgrade to Fedora Core 3 or
Fedora Core 4 Test3, do you still see the problem?

Comment 4 Ray Strode [halfline] 2005-05-31 17:11:25 UTC
Hi Tanya,

I'm going to close this bug.  If anyone notices the problem on one of our
supported versions of control center, feel free to file a new bug.


Note You need to log in before you can comment on or make changes to this bug.